package cn.timer.api.bean.insure;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;



/**
 * 保单信息
 *
 * @author wgd
 * @email 862422848@qq.com
 * @date 2022-03-14 08:53:04
 */
@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name = "insure_policy")
@ApiModel("保单信息")
public class InsurePolicy extends Model<InsurePolicy> {
	private static final long serialVersionUID = 1L;

	/**
	*
	*/
	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;
	/**
	* 方案名称(必选)
	*/
	private String schemeName;
	/**
	* 保单生效日
	*/
	private Date policyDateStart;
	/**
	* 保单终止日
	*/
	private Date policyDateEnd;
	/**
	* 产品代码
	*/
	private String productCodeId;
	/**
	* 计划代码
	*/
	private String planCodeId;
	/**
	* 分销商pid
	*/
	private String partnerPid;
	/**
	* 保单号
	*/
	private String policyNo;
	/**
	* 保单类型：1、年单 2、月单
	*/
	private Integer type;
	/**
	* 5-人民币，其他币种请参见全局数据字典
	*/
	private String currency;
	/**
	* 总保费


	*/
	private String totalPremium;
	/**
	* 1-正常
	*/
	private String status;
	/**
	* 电子保单
	*/
	private String policyFile;
	/**
	* 保单kit的地址
	*/
	private String kitUrl;
	/**
	* 投保人id
	*/
	private Integer insureApplicantId;
	/**
	* 企业id
	*/
	private Integer orgCode;
	/**
	* 投保时间
	*/
	private Date createTime;
	/**
	 * 最近操作时间
	 */
	private Date updateTime;

	/**
	 * 设置：
	 */
	public void setId(Integer id) {
		this.id = id;
	}
	/**
	 * 获取：
	 */
	public Integer getId() {
		return id;
	}
	/**
	 * 设置：方案名称(必选)
	 */
	public void setSchemeName(String schemeName) {
		this.schemeName = schemeName;
	}
	/**
	 * 获取：方案名称(必选)
	 */
	public String getSchemeName() {
		return schemeName;
	}
	/**
	 * 设置：保单生效日
	 */
	public void setPolicyDateStart(Date policyDateStart) {
		this.policyDateStart = policyDateStart;
	}
	/**
	 * 获取：保单生效日
	 */
	public Date getPolicyDateStart() {
		return policyDateStart;
	}
	/**
	 * 设置：保单终止日
	 */
	public void setPolicyDateEnd(Date policyDateEnd) {
		this.policyDateEnd = policyDateEnd;
	}
	/**
	 * 获取：保单终止日
	 */
	public Date getPolicyDateEnd() {
		return policyDateEnd;
	}
	/**
	 * 设置：产品代码
	 */
	public void setProductCodeId(String productCodeId) {
		this.productCodeId = productCodeId;
	}
	/**
	 * 获取：产品代码
	 */
	public String getProductCodeId() {
		return productCodeId;
	}
	/**
	 * 设置：计划代码
	 */
	public void setPlanCodeId(String planCodeId) {
		this.planCodeId = planCodeId;
	}
	/**
	 * 获取：计划代码
	 */
	public String getPlanCodeId() {
		return planCodeId;
	}
	/**
	 * 设置：分销商pid
	 */
	public void setPartnerPid(String partnerPid) {
		this.partnerPid = partnerPid;
	}
	/**
	 * 获取：分销商pid
	 */
	public String getPartnerPid() {
		return partnerPid;
	}
	/**
	 * 设置：保单号
	 */
	public void setPolicyNo(String policyNo) {
		this.policyNo = policyNo;
	}
	/**
	 * 获取：保单号
	 */
	public String getPolicyNo() {
		return policyNo;
	}
	/**
	 * 设置：保单类型：1、年单 2、月单
	 */
	public void setType(Integer type) {
		this.type = type;
	}
	/**
	 * 获取：保单类型：1、年单 2、月单
	 */
	public Integer getType() {
		return type;
	}
	/**
	 * 设置：5-人民币，其他币种请参见全局数据字典
	 */
	public void setCurrency(String currency) {
		this.currency = currency;
	}
	/**
	 * 获取：5-人民币，其他币种请参见全局数据字典
	 */
	public String getCurrency() {
		return currency;
	}
	/**
	 * 设置：总保费


	 */
	public void setTotalPremium(String totalPremium) {
		this.totalPremium = totalPremium;
	}
	/**
	 * 获取：总保费


	 */
	public String getTotalPremium() {
		return totalPremium;
	}
	/**
	 * 设置：1-正常
	 */
	public void setStatus(String status) {
		this.status = status;
	}
	/**
	 * 获取：1-正常
	 */
	public String getStatus() {
		return status;
	}
	/**
	 * 设置：电子保单
	 */
	public void setPolicyFile(String policyFile) {
		this.policyFile = policyFile;
	}
	/**
	 * 获取：电子保单
	 */
	public String getPolicyFile() {
		return policyFile;
	}
	/**
	 * 设置：保单kit的地址
	 */
	public void setKitUrl(String kitUrl) {
		this.kitUrl = kitUrl;
	}
	/**
	 * 获取：保单kit的地址
	 */
	public String getKitUrl() {
		return kitUrl;
	}
	/**
	 * 设置：投保人id
	 */
	public void setInsureApplicantId(Integer insureApplicantId) {
		this.insureApplicantId = insureApplicantId;
	}
	/**
	 * 获取：投保人id
	 */
	public Integer getInsureApplicantId() {
		return insureApplicantId;
	}
	/**
	 * 设置：企业id
	 */
	public void setOrgCode(Integer orgCode) {
		this.orgCode = orgCode;
	}
	/**
	 * 获取：企业id
	 */
	public Integer getOrgCode() {
		return orgCode;
	}
	/**
	 * 设置：投保时间
	 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	/**
	 * 获取：投保时间
	 */
	public Date getCreateTime() {
		return createTime;
	}
}
